[**@rxap/ngx-material-authentication v19.0.5-dev.0**](../README.md)

***

[@rxap/ngx-material-authentication](../globals.md) / ResetPasswordForm

# Class: ResetPasswordForm

Defined in: [reset-password/reset-password.form.ts:92](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L92)

## Implements

- `FormType`\<[`IResetPasswordForm`](../interfaces/IResetPasswordForm.md)\>

## Constructors

### new ResetPasswordForm()

> **new ResetPasswordForm**(): [`ResetPasswordForm`](ResetPasswordForm.md)

#### Returns

[`ResetPasswordForm`](ResetPasswordForm.md)

## Properties

### password

> **password**: `RxapFormControl`

Defined in: [reset-password/reset-password.form.ts:98](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L98)

#### Implementation of

`FormType.password`

***

### passwordRepeat

> **passwordRepeat**: `RxapFormControl`

Defined in: [reset-password/reset-password.form.ts:103](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L103)

#### Implementation of

`FormType.passwordRepeat`

***

### rxapFormGroup

> **rxapFormGroup**: `RxapFormGroup`

Defined in: [reset-password/reset-password.form.ts:93](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L93)

#### Implementation of

`FormType.rxapFormGroup`

## Methods

### passwordEqual()

> **passwordEqual**(`control`): `null` \| \{ `equal`: `string`; \}

Defined in: [reset-password/reset-password.form.ts:106](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L106)

#### Parameters

##### control

`RxapFormControl`

#### Returns

`null` \| \{ `equal`: `string`; \}

***

### resetRepeat()

> **resetRepeat**(): `void`

Defined in: [reset-password/reset-password.form.ts:117](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/reset-password/reset-password.form.ts#L117)

#### Returns

`void`
